package web;

import java.io.IOException;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

import javax.ejb.EJB;
import javax.ejb.Remote;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import ejb.serverbean1.ServerBeanRemote;

public class TestServlet extends HttpServlet {

	@EJB
	private ServerBeanRemote testBean;

	public void service(HttpServletRequest req, HttpServletResponse res)
			throws ServletException, IOException {

		String operation = req.getParameter("operation");
		if ("CreateStatelessBean".equals(operation)) {
			testBean.createStatelessBean();
		}
		
		// Call for the next page
		getServletContext().getRequestDispatcher("/index.jsp")
				.forward(req, res);

	}
}
